QGIS Application - Bug report #17554
[layer properties] the Edit button should not open a "Add Vector Join" dialog
2017-11-26 04:37 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.5(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25451
Description

In Vector layer properties > Join tab, clicking the Edit button should not open a "Add Vector Join" dialog. It's confusing.
Also note that in the opened dialog, one of the filled information is not retrieved (in my case, the Join field). | think all the information filled
should be retrieved and up to the user to replace the one(s) no longer good.

Associated revisions

Revision d70191d2 - 2019-01-22 02:18 AM - Harrissou Santanna

Set appropriate window title when editing a join

fixes #17554

History

#1 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-01-21 06:01 PM - Harrissou Santanna

- Pull Request or Patch supplied changed from No to Yes

- Affected QGIS version changed from 2.18.14 to 3.5(master)
- Status changed from Feedback to Open

| can't see the field issue reported above so this is a dialog renaming issue that | try to address in https:/github.com/qgis/QGIS/pull/8926

#3 - 2019-01-22 02:17 AM - Harrissou Santanna
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|d70191d2728fb7bdb5df44ebc2d68b152e78b113.
